$(document).ready(function(){
	ajaxRequest = null;

	// ajax pagebrowser
	$(document).on("click", ".news-list-browse a, .tx-ttnews-browsebox a", function(e){
		url = $(this).attr("href");

		loadTtNewsAjaxPageBrowser(url, $(this));
		e.preventDefault();
	});
});

function loadTtNewsAjaxPageBrowser(url, cObj){
	// scroll to top
	$("html, body").animate({scrollTop:0}, "slow");

	// stop AJAX request if old one is still running
	if(ajaxRequest){
		ajaxRequest.abort();
	}

	newsContainer = cObj.closest(".news-list-ajax");
	newsContainer.fadeTo("slow", 0.33);
	ajaxRequest = $.ajax({
		type: "POST",
		dataType: "html",
		data: ({
			eID: 'ttnews_ajaxpagebrowser_ajaxHandler',
			todo: 'pagebrowser',
			href: escape(url),
			part: newsContainer.attr("id")
		}),
		success: function(data){
			newsContainer.html(data);
			newsContainer.fadeTo("slow", 1.0);
		}
	});
}